jffi (Jython API documentation)
Date: 2015-04-29

org.python.modules.jffi

## Class jffi

- java.lang.Object
- - org.python.modules.jffi.jffi

- All Implemented Interfaces:
    ClassDictInit

      public class jffi
      extends Object
      implements ClassDictInit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FUNCFLAG_CDECL`
    `static int` | `FUNCFLAG_HRESULT`
    `static int` | `FUNCFLAG_PYTHONAPI`
    `static int` | `FUNCFLAG_STDCALL`
    `static int` | `FUNCFLAG_USE_ERRNO`
    `static int` | `FUNCFLAG_USE_LASTERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `jffi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `classDictInit(PyObject dict)`
    `static PyObject` | `dlopen(PyObject name, PyObject mode)`
    `static PyObject` | `get_errno()`
    `static PyObject` | `memmove(PyObject dst, PyObject src, PyObject length)`
    `static PyObject` | `memset(PyObject dst, PyObject value, PyObject length)`
    `static PyObject` | `pointer(PyObject type)`
    `static PyObject` | `POINTER(PyObject type)`
    `static PyObject` | `set_errno(PyObject type)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FUNCFLAG_STDCALL

          public static final int FUNCFLAG_STDCALL

      See Also:
        Constant Field Values

    - #### FUNCFLAG_CDECL

          public static final int FUNCFLAG_CDECL

      See Also:
        Constant Field Values

    - #### FUNCFLAG_HRESULT

          public static final int FUNCFLAG_HRESULT

      See Also:
        Constant Field Values

    - #### FUNCFLAG_PYTHONAPI

          public static final int FUNCFLAG_PYTHONAPI

      See Also:
        Constant Field Values

    - #### FUNCFLAG_USE_ERRNO

          public static final int FUNCFLAG_USE_ERRNO

      See Also:
        Constant Field Values

    - #### FUNCFLAG_USE_LASTERROR

          public static final int FUNCFLAG_USE_LASTERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### jffi

          public jffi()

  - ### Method Detail

    - #### classDictInit

          public static void classDictInit(PyObject dict)

    - #### dlopen

          public static PyObject dlopen(PyObject name,
                        PyObject mode)

    - #### get_errno

          public static PyObject get_errno()

    - #### set_errno

          public static PyObject set_errno(PyObject type)

    - #### pointer

          public static PyObject pointer(PyObject type)

    - #### POINTER

          public static PyObject POINTER(PyObject type)

    - #### memmove

          public static PyObject memmove(PyObject dst,
                         PyObject src,
                         PyObject length)

    - #### memset

          public static PyObject memset(PyObject dst,
                        PyObject value,
                        PyObject length)

Jython homepage